# Search for internal articles

You can search for internal articles by making a GET request to `https://api.intercom.io/internal_articles/search`.

Endpoint: GET /internal_articles/search
Version: 2.16
Security: bearerAuth

## Query parameters:

  - `folder_id` (string)
    The ID of the folder to search in.

## Header parameters:

  - `Intercom-Version` (string)

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - `list`.
    Enum: "list"

  - `total_count` (integer)
    The total number of Internal Articles matching the search query
    Example: 5

  - `data` (object)
    An object containing the results of the search.

  - `data.internal_articles` (array)
    An array of Internal Article objects

  - `data.internal_articles.type` (string)
    The type of object - `internal_article`.
    Enum: "internal_article"

  - `data.internal_articles.id` (string)
    The unique identifier for the article which is given by Intercom.
    Example: 6871119

  - `data.internal_articles.title` (string)
    The title of the article.

  - `data.internal_articles.body` (string)
    The body of the article in HTML.
    Example: Default language body in html

  - `data.internal_articles.body_markdown` (string)
    The body of the article in markdown.
    Example: # Internal Guide

Body of the article in markdown


  - `data.internal_articles.owner_id` (integer)
    The id of the owner of the article.
    Example: 5017691

  - `data.internal_articles.author_id` (integer)
    The id of the author of the article.
    Example: 5017691

  - `data.internal_articles.created_at` (integer)
    The time when the article was created.
    Example: 1672928359

  - `data.internal_articles.updated_at` (integer)
    The time when the article was last updated.
    Example: 1672928610

  - `data.internal_articles.locale` (string)
    The default locale of the article.

  - `data.internal_articles.audience_ids` (array)
    The list of audience IDs this internal article is targeted to for Fin AI Agent. Empty array means no audience targeting is set.
    Example: [1,2]

  - `data.internal_articles.ai_chatbot_availability` (boolean)
    Whether the internal article is available for AI Chatbot (Fin).
    Example: true

  - `data.internal_articles.ai_copilot_availability` (boolean)
    Whether the internal article is available for AI Copilot.
    Example: true

  - `data.internal_articles.ai_sales_agent_availability` (boolean)
    Whether the internal article is available for AI Sales Agent.
    Example: true

  - `pages` (object)
    Cursor-based pagination is a technique used in the Intercom API to navigate through large amounts of data.
A "cursor" or pointer is used to keep track of the current position in the result set, allowing the API to return the data in small chunks or "pages" as needed.

  - `pages.type` (string)
    the type of object `pages`.
    Enum: "pages"

  - `pages.page` (integer)
    The current page
    Example: 1

  - `pages.next` (object)

  - `pages.next.per_page` (integer)
    The number of results to fetch per page.
    Example: 2

  - `pages.next.starting_after` (string)
    The cursor to use in the next request to get the next page of results.
    Example: your-cursor-from-response

  - `pages.per_page` (integer)
    Number of results per page
    Example: 2

  - `pages.total_pages` (integer)
    Total number of pages
    Example: 13

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

